=== debian/changelog ===
kcontacts (5:5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kcontacts (5:5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kcontacts (5:5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kcontacts (5:5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Disable some failing address format tests.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kcontacts (5:5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:16:04 +0200

kcontacts (5:5.74.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:19 +0200

kcontacts (5:5.70.0-4) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/kcontacts.categories, and
    /etc/xdg/kcontacts.renamecategories conffiles.

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 12:02:07 +0200

kcontacts (5:5.70.0-3) unstable; urgency=medium

  * Team upload.
  * Update the build dependencies:
    - add qttools5-dev (Closes: #962429)
    - explicitly add gettext
  * Add the iso-codes recommend in libkf5contacts5, as it is used to translate
    region names.
  * Make the test suite fatal, as it should work fine.
  * Update lintian overrides.
  * Remove unused substvars:
    - ${ABI:VirtualPackage} in libkf5contacts5
    - ${shlibs:Depends} in libkf5contacts-data

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 09:10:48 +0200
