=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_auto_test:
-	-xvfb-run -- dh_auto_test --no-parallel
+	xvfb-run -- dh_auto_test --no-parallel
