## kcontacts 5.80.0

=== debian/changelog ===
kcontacts (5:5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:43 +0000

kcontacts (5:5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:26 +0000

kcontacts (5:5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on pkg-config.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 22:37:35 +0000

kcontacts (5:5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Build depend on pkg-config.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:55:04 +0000
